#pragma once
#include "GameObject3D.h"
#include "MovementLogic.h"


class LineOfSightChasing :
    public MovementLogic
{
public:
    LineOfSightChasing();
    LineOfSightChasing(GameObject3D *pHostCraft, const GameObject3D *preyObject);
    ~LineOfSightChasing(void);

    void SetPreyObject(const GameObject3D& preyObject);
    void Cycle(float deltaMs);
    void Draw();

    const GameObject3D* m_pPrey;

    
    static const float TOLERANCE;   
};
